"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
"""
import builtins
import collections.abc
import google.protobuf.any_pb2
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.internal.enum_type_wrapper
import google.protobuf.message
import google.protobuf.timestamp_pb2
import sys
import typing

if sys.version_info >= (3, 10):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

@typing_extensions.final
class InitRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    OUTPUT_TYPES_FIELD_NUMBER: builtins.int
    @property
    def output_types(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___IOType]: ...
    def __init__(
        self,
        *,
        output_types: collections.abc.Iterable[global___IOType] | None = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["output_types", b"output_types"]) -> None: ...

global___InitRequest = InitRequest

@typing_extensions.final
class InitReply(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    class _Status:
        ValueType = typing.NewType("ValueType", builtins.int)
        V: typing_extensions.TypeAlias = ValueType

    class _StatusEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[InitReply._Status.ValueType], builtins.type):
        DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
        NONE: InitReply._Status.ValueType  # 0
        DONE: InitReply._Status.ValueType  # 1
        ERROR: InitReply._Status.ValueType  # 2

    class Status(_Status, metaclass=_StatusEnumTypeWrapper): ...
    NONE: InitReply.Status.ValueType  # 0
    DONE: InitReply.Status.ValueType  # 1
    ERROR: InitReply.Status.ValueType  # 2

    STATUS_FIELD_NUMBER: builtins.int
    EXECUTOR_ID_FIELD_NUMBER: builtins.int
    LOG_DELIMITER_FIELD_NUMBER: builtins.int
    status: global___InitReply.Status.ValueType
    executor_id: builtins.str
    log_delimiter: builtins.str
    def __init__(
        self,
        *,
        status: global___InitReply.Status.ValueType = ...,
        executor_id: builtins.str = ...,
        log_delimiter: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["executor_id", b"executor_id", "log_delimiter", b"log_delimiter", "status", b"status"]) -> None: ...

global___InitReply = InitReply

@typing_extensions.final
class RunRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    INPUT_FIELD_NUMBER: builtins.int
    @property
    def input(self) -> google.protobuf.any_pb2.Any:
        """If the module has no inputs, do not set anything for <input>"""
    def __init__(
        self,
        *,
        input: google.protobuf.any_pb2.Any | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["input", b"input"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["input", b"input"]) -> None: ...

global___RunRequest = RunRequest

@typing_extensions.final
class RunReply(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    class _Status:
        ValueType = typing.NewType("ValueType", builtins.int)
        V: typing_extensions.TypeAlias = ValueType

    class _StatusEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[RunReply._Status.ValueType], builtins.type):
        DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
        NONE: RunReply._Status.ValueType  # 0
        DONE: RunReply._Status.ValueType  # 1
        ERROR: RunReply._Status.ValueType  # 2

    class Status(_Status, metaclass=_StatusEnumTypeWrapper): ...
    NONE: RunReply.Status.ValueType  # 0
    DONE: RunReply.Status.ValueType  # 1
    ERROR: RunReply.Status.ValueType  # 2

    STATUS_FIELD_NUMBER: builtins.int
    OUTPUT_FIELD_NUMBER: builtins.int
    START_TIME_FIELD_NUMBER: builtins.int
    END_TIME_FIELD_NUMBER: builtins.int
    NEXT_LOG_DELIMITER_FIELD_NUMBER: builtins.int
    LAST_REPLY_OF_THIS_RUN_FIELD_NUMBER: builtins.int
    ERROR_MESSAGE_FIELD_NUMBER: builtins.int
    HTTP_STATUS_CODE_FIELD_NUMBER: builtins.int
    status: global___RunReply.Status.ValueType
    @property
    def output(self) -> google.protobuf.any_pb2.Any: ...
    @property
    def start_time(self) -> google.protobuf.timestamp_pb2.Timestamp: ...
    @property
    def end_time(self) -> google.protobuf.timestamp_pb2.Timestamp: ...
    next_log_delimiter: builtins.str
    last_reply_of_this_run: builtins.bool
    error_message: builtins.str
    http_status_code: builtins.int
    def __init__(
        self,
        *,
        status: global___RunReply.Status.ValueType = ...,
        output: google.protobuf.any_pb2.Any | None = ...,
        start_time: google.protobuf.timestamp_pb2.Timestamp | None = ...,
        end_time: google.protobuf.timestamp_pb2.Timestamp | None = ...,
        next_log_delimiter: builtins.str = ...,
        last_reply_of_this_run: builtins.bool = ...,
        error_message: builtins.str | None = ...,
        http_status_code: builtins.int = ...,
    ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["_error_message", b"_error_message", "end_time", b"end_time", "error_message", b"error_message", "output", b"output", "start_time", b"start_time"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["_error_message", b"_error_message", "end_time", b"end_time", "error_message", b"error_message", "http_status_code", b"http_status_code", "last_reply_of_this_run", b"last_reply_of_this_run", "next_log_delimiter", b"next_log_delimiter", "output", b"output", "start_time", b"start_time", "status", b"status"]) -> None: ...
    def WhichOneof(self, oneof_group: typing_extensions.Literal["_error_message", b"_error_message"]) -> typing_extensions.Literal["error_message"] | None: ...

global___RunReply = RunReply

@typing_extensions.final
class IOType(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    class _Types:
        ValueType = typing.NewType("ValueType", builtins.int)
        V: typing_extensions.TypeAlias = ValueType

    class _TypesEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[IOType._Types.ValueType], builtins.type):
        DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
        NONE: IOType._Types.ValueType  # 0
        """As "0" is the default value, we use this to detect errors."""
        BYTES: IOType._Types.ValueType  # 1
        """non-standard"""
        STRING: IOType._Types.ValueType  # 2
        LONGSTRING: IOType._Types.ValueType  # 3
        PASSWORD: IOType._Types.ValueType  # 4
        INTEGER: IOType._Types.ValueType  # 5
        FLOAT: IOType._Types.ValueType  # 6
        BOOLEAN: IOType._Types.ValueType  # 7
        """non-standard"""
        ENUM: IOType._Types.ValueType  # 8
        FILE: IOType._Types.ValueType  # 9
        FILE_REFERENCE: IOType._Types.ValueType  # 10
        """non-standard"""
        DIRECTORY: IOType._Types.ValueType  # 11
        DIRECTORY_REFERENCE: IOType._Types.ValueType  # 12
        """non-standard"""

    class Types(_Types, metaclass=_TypesEnumTypeWrapper): ...
    NONE: IOType.Types.ValueType  # 0
    """As "0" is the default value, we use this to detect errors."""
    BYTES: IOType.Types.ValueType  # 1
    """non-standard"""
    STRING: IOType.Types.ValueType  # 2
    LONGSTRING: IOType.Types.ValueType  # 3
    PASSWORD: IOType.Types.ValueType  # 4
    INTEGER: IOType.Types.ValueType  # 5
    FLOAT: IOType.Types.ValueType  # 6
    BOOLEAN: IOType.Types.ValueType  # 7
    """non-standard"""
    ENUM: IOType.Types.ValueType  # 8
    FILE: IOType.Types.ValueType  # 9
    FILE_REFERENCE: IOType.Types.ValueType  # 10
    """non-standard"""
    DIRECTORY: IOType.Types.ValueType  # 11
    DIRECTORY_REFERENCE: IOType.Types.ValueType  # 12
    """non-standard"""

    NAME_FIELD_NUMBER: builtins.int
    TYPE_FIELD_NUMBER: builtins.int
    OPTIONAL_FIELD_NUMBER: builtins.int
    name: builtins.str
    type: global___IOType.Types.ValueType
    optional: builtins.bool
    def __init__(
        self,
        *,
        name: builtins.str = ...,
        type: global___IOType.Types.ValueType = ...,
        optional: builtins.bool = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["name", b"name", "optional", b"optional", "type", b"type"]) -> None: ...

global___IOType = IOType

@typing_extensions.final
class IOValue(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    NAME_FIELD_NUMBER: builtins.int
    VALUE_FIELD_NUMBER: builtins.int
    name: builtins.str
    value: builtins.str
    def __init__(
        self,
        *,
        name: builtins.str = ...,
        value: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["name", b"name", "value", b"value"]) -> None: ...

global___IOValue = IOValue

@typing_extensions.final
class IOBooleanValue(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    NAME_FIELD_NUMBER: builtins.int
    VALUE_FIELD_NUMBER: builtins.int
    name: builtins.str
    value: builtins.bool
    def __init__(
        self,
        *,
        name: builtins.str = ...,
        value: builtins.bool = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["name", b"name", "value", b"value"]) -> None: ...

global___IOBooleanValue = IOBooleanValue

@typing_extensions.final
class IOBytesValue(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    NAME_FIELD_NUMBER: builtins.int
    VALUE_FIELD_NUMBER: builtins.int
    name: builtins.str
    value: builtins.bytes
    def __init__(
        self,
        *,
        name: builtins.str = ...,
        value: builtins.bytes = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["name", b"name", "value", b"value"]) -> None: ...

global___IOBytesValue = IOBytesValue

@typing_extensions.final
class IOFloatValue(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    NAME_FIELD_NUMBER: builtins.int
    VALUE_FIELD_NUMBER: builtins.int
    name: builtins.str
    value: builtins.float
    def __init__(
        self,
        *,
        name: builtins.str = ...,
        value: builtins.float = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["name", b"name", "value", b"value"]) -> None: ...

global___IOFloatValue = IOFloatValue

@typing_extensions.final
class IOIntegerValue(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    NAME_FIELD_NUMBER: builtins.int
    VALUE_FIELD_NUMBER: builtins.int
    name: builtins.str
    value: builtins.int
    def __init__(
        self,
        *,
        name: builtins.str = ...,
        value: builtins.int = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["name", b"name", "value", b"value"]) -> None: ...

global___IOIntegerValue = IOIntegerValue

@typing_extensions.final
class IOFileValue(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    NAME_FIELD_NUMBER: builtins.int
    VALUE_FIELD_NUMBER: builtins.int
    FILE_NAME_FIELD_NUMBER: builtins.int
    name: builtins.str
    value: builtins.bytes
    file_name: builtins.str
    def __init__(
        self,
        *,
        name: builtins.str = ...,
        value: builtins.bytes = ...,
        file_name: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["file_name", b"file_name", "name", b"name", "value", b"value"]) -> None: ...

global___IOFileValue = IOFileValue

@typing_extensions.final
class IODirectoryValue(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    NAME_FIELD_NUMBER: builtins.int
    VALUE_FIELD_NUMBER: builtins.int
    IS_LAST_CHUNK_FIELD_NUMBER: builtins.int
    name: builtins.str
    value: builtins.bytes
    is_last_chunk: builtins.bool
    """Required to know when to unzip the directory"""
    def __init__(
        self,
        *,
        name: builtins.str = ...,
        value: builtins.bytes = ...,
        is_last_chunk: builtins.bool = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["is_last_chunk", b"is_last_chunk", "name", b"name", "value", b"value"]) -> None: ...

global___IODirectoryValue = IODirectoryValue

@typing_extensions.final
class VersionReply(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    VERSION_FIELD_NUMBER: builtins.int
    version: builtins.str
    def __init__(
        self,
        *,
        version: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["version", b"version"]) -> None: ...

global___VersionReply = VersionReply
